<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('patient_prescription', function (Blueprint $table) {
            $table->string('brand')->nullable();
            $table->string('from')->nullable();
            $table->string('quantity')->nullable();
            $table->string('direction_quantity')->nullable();
            $table->string('refill_quantity')->nullable();
            $table->string('dosage')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('patient_prescription', function (Blueprint $table) {
            $table->removeColumn('brand');
            $table->removeColumn('from');
            $table->removeColumn('quantity');
            $table->removeColumn('direction_quantity');
            $table->removeColumn('refill_quantity');
            $table->removeColumn('dosage');
        });
    }
};
